Subject: Re: ftpd configuration

From: [email-masked] (Janice Lang)
Date: Wed, 10 May 1995 17:03:45 -0400

02:13pm 5/10/95, Ed Jankovsky writes:

I am pretty new to configure this daemon as well but I've just worked 
through a number of problems of my own.

>
>Hello, I'm very new to configuring this daemon and have some 
>questions/problems.
>
>The end result I want is to have a user, kha, login with password but be 
>limited to certain directories, much like anonymous.  But from what I've 
>read so far, it looks as if this is only possible for anon and guest?

>From what I understand of your problem, it sounds like you want to set your 
kha user up as a guest account.  Here's what you need to do to do this:

I have this pertinant information in my ftpaccess file:
NOTE: jht=my guests name

        class jht guest *                                                    
           
        guestgroup jht

You also need to put an entry in your /etc/passwd file for this person.  
Here is mine:

 jht:passwd:202:202:Guest FTP account:/home/ftp/pub/jht/./:/bin/false
                                                ^^^^^^^^^^^^^^   ^
      /home/ftp/pub/jht is the guests root directory.
      / is the 'home' directory that the guest is logged into - in my case the 
         root directory is the same as the home directory.
>
>Which brings me to another problem.  When I set up the anonymous user, with a
>locked in directory, it signs in ok, but once I try to do an ls, I get
>
>"200 PORT command successful. 
>425 Can't create data socket (0.0.0.0,20): Bad file number."
>
>What am I missing?
>

You need to create a tcp device file within the ftp directory structure.  
Use the mknod command to do this.  

>Thanks
>
>+=- .                                                    . .. -=*
>|                                                               |
>. Ed Jankovsky                                  [email-masked]   .
>  Arizona Department of Transportation    [email-masked]                
>. Freeway Management System                                     
>|                                                               .
>+=- .. .                                                     . -+
>

Janice Lang
BDM Federal, Inc.
NASA/IVV Facility
Fairmont WV 26554

---

From: Robert Rowland <[email-masked]>
Date: Thu, 11 May 1995 06:47:49 -0500 (CDT)

I see that I can make guest users locked into certain subdirs.
I had hacked the code to allow _all_ users only to be able to move 
around in their home directory tree. Can I set up all users as guest
users restricting them away from any of the important areas ?

thank you -robert

Robert Rowland
System Administrator
[email-masked]

---

From: [email-masked] (Info Account)
Date: Thu, 11 May 1995 09:53:54 -0700 (PDT)

> users restricting them away from any of the important areas ?

Can I get a copy of the version you hacked?  That's *exactly* what I
want to be able to do (restrict them to their home directories).

Mark

---

From: [email-masked] (Dave Wolfe)
Date: Thu, 11 May 1995 13:56:00 -0500 (CDT)

[ Info Account writes: ]
> want to be able to do (restrict them to their home directories).

Y'all ever hear of ownership and permissions? But I'm curious what you
think users are going to do if all they can see is their own home
directories.

-- 
 Dave Wolfe    *Not a spokesman for Motorola*  (512) 891-3246
 Motorola MMTG  6501 Wm. Cannon Dr. W. OE112  Austin  TX  78735-8598